/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 *
 * Copyright (C) 2001-2003 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, A. Lefebvre, S. Chassande-Barrioz
 */
package org.objectweb.medor.filter.lib;

import org.objectweb.medor.api.Field;
import org.objectweb.medor.expression.api.Expression;
import org.objectweb.medor.expression.api.IExpressionPrinter;
import org.objectweb.medor.filter.api.FieldOperand;
import org.objectweb.medor.query.api.QueryTreeField;

/**
 * Is printer of expression containing MEDOR stuffs.
 * 
 * @author S.Chassande-Barrioz
 */
public class ExpressionPrinter implements IExpressionPrinter {

    static {
        org.objectweb.medor.expression.lib.ExpressionPrinter
            .registerPrinter(new ExpressionPrinter());
    }
    
    public static String e2str(Expression e) {
		return org.objectweb.medor.expression.lib.ExpressionPrinter.e2str(e);
	}

    public String expToString(Expression e) {
        if (e instanceof FieldOperand) {
            Field f = ((FieldOperand) e).getField();
            if (f == null)
                return e.getType().getJavaName() + "nullFO";
            else
                return
                        ((f instanceof QueryTreeField) ?
                        f.getName() + " of node "
                        + ((QueryTreeField)f).getQueryTree() :
                        f.getName());
        }
        return null;
    }
    
    
}
