/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.medor.filter.rdb.lib;

import org.objectweb.medor.expression.api.CalculatedParameterOperand;
import org.objectweb.medor.expression.api.ExpressionException;
import org.objectweb.medor.expression.api.ParameterOperand;
import org.objectweb.medor.expression.lib.AbstractCalculatedParameterOperand;
import org.objectweb.medor.expression.lib.BasicParameterOperand;

public class Like2SQLStringConverter extends AbstractCalculatedParameterOperand
        implements CalculatedParameterOperand {

    private static final long serialVersionUID = 1L;

    public Like2SQLStringConverter() {
        super();
    }
    CalculatedParameterOperand cpo;

    public Like2SQLStringConverter(BasicParameterOperand po) {
        super(po);
        if (po instanceof CalculatedParameterOperand)
        this.cpo = (CalculatedParameterOperand) po;
    }

    public static String convert(String str) {
        str = replaceString(".*", "%", str);
        str = replaceString(".", "_", str);
        return str;
    }
    
    public void evaluate(ParameterOperand[] pos) throws ExpressionException {
        ParameterOperand po = getPO(pos);
        if (po == null) {
            throw new ExpressionException(
                    "Impossible to evaluate this parameter wihtout the parameter "
                            + name);
        }
        if (cpo == null) {
	        setValue(convert(po.getString()));
        } else {
	        cpo.evaluate(pos);
	        setValue(convert(cpo.getString()));
        }
    }

    public static String replaceString(String old, String neo, String str) {
        if (str == null || str.length() == 0) {
            return str;
        }
        final int oldSize = old.length();
        final int neoSize = neo.length();
        final StringBuffer sb = new StringBuffer(str);
        int begin = 0;
        int idx = sb.indexOf(old, begin);
        while(idx != -1) {
            sb.delete(idx, idx + oldSize);
            sb.insert(idx, neo);
            begin = idx + neoSize;
            if (begin < sb.length()) {
                idx = sb.indexOf(old, begin);
            } else {
                idx = -1;
            }
        }
        return sb.toString();
    }

}
