/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 *
 * Copyright (C) 2001-2002 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, S. Chassande-Barrioz, A. Lefebvre
 */
package org.objectweb.medor.lib;

import org.objectweb.jorm.type.api.PType;
import org.objectweb.medor.api.Field;
import org.objectweb.medor.api.MedorException;
import org.objectweb.medor.api.MultivaluedField;

import java.util.Map;

public class BasicMultivaluedField extends BasicTupleStructure
		implements MultivaluedField {

    protected String name = null;
    protected PType type = null;

	public BasicMultivaluedField() {
	}

    public BasicMultivaluedField(String name,
                                 Field[] fields) throws MedorException {
        super(fields);
        this.name = name;
    }

	public Object clone(Object clone,
						Map obj2clone) throws CloneNotSupportedException {
		clone = super.clone(clone, obj2clone);
		((BasicMultivaluedField) clone).name = name;
		((BasicMultivaluedField) clone).type = type;
		return clone;
	}

    // IMPLEMENTATION OF THE Field INTERFACE //
    //---------------------------------------//

    public String getName() {
        return name;
    }

    public PType getType() {
        return type;
    }

    public short getNullStatus() {
        // TO DO
        return 99;
    }

	public int compareTo(Object o) {
		Field f = (Field) o;
		return name.compareTo(f.getName());
	}
}
