/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 * 
 * Copyright (C) 2001-2003 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, A. Lefebvre
 */

package org.objectweb.medor.query.rdb.api;

import org.objectweb.medor.query.api.QueryTreeField;

/**
 * An RdbField represents a QueryTreeField which is associated to an
 * RdbQueryLeaf.
 *
 * @author Sebastien Chassande-Barrioz
 */
public interface RdbField extends QueryTreeField {

    /**
     * Returns the name of the column, either in the SQL ResultSet in the case
	 * of RdbStringQueryLeaf, or the name of the column in the QualifiedTable
	 * in the case of RdbExpQueryLeaf. This name is not to be confused with the
	 * name of the Field itself.
	 * @return the name of the RdbField in the underlying resultset (in the case
	 * of a RdbStringQueryLeaf) or QualifiedTable (in the case of
	 * a RdbExpField in a RdbExpQueryLeaf).
     */
    String getColumnName();
}
