/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 * 
 * Copyright (C) 2001-2003 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, A. Lefebvre
 */

package org.objectweb.medor.query.rdb.lib;

import org.objectweb.jorm.type.api.PType;
import org.objectweb.medor.query.api.QueryLeaf;
import org.objectweb.medor.query.rdb.api.QualifiedTable;
import org.objectweb.medor.query.rdb.api.RdbExpField;

import java.util.Map;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public class BasicRdbExpField extends BasicRdbField implements RdbExpField {

	QualifiedTable table = null;

	public BasicRdbExpField() {
	}

	public BasicRdbExpField(String name,
							PType type,
							String col,
							QualifiedTable table,
							QueryLeaf ql) {
		super(name, type, col, ql);
		this.table = table;
	}
	public Object clone(Object clone,
						Map obj2clone) throws CloneNotSupportedException {
		clone = super.clone(clone, obj2clone);
		((BasicRdbExpField) clone).table = (QualifiedTable) getClone(table, obj2clone);
		return clone;
	}

	public QualifiedTable getTable() {
		return table;
	}

	public void setTable(QualifiedTable t) {
		table = t;
	}

	public void setQueryLeaf(QueryLeaf ql) {
		this.ql = ql;
	}


}
