/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 * 
 * Copyright (C) 2001-2003 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, A. Lefebvre
 */

package org.objectweb.medor.query.rdb.lib;

import org.objectweb.jorm.type.api.PType;
import org.objectweb.medor.lib.BasicField;
import org.objectweb.medor.query.api.QueryLeaf;
import org.objectweb.medor.query.api.QueryTree;
import org.objectweb.medor.query.rdb.api.RdbField;

import java.util.Map;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public class BasicRdbField extends BasicField implements RdbField {

	protected String col = null;
	protected QueryLeaf ql;

	public BasicRdbField() {
	}

	public BasicRdbField(String name,
						 PType type,
						 String col,
						 QueryLeaf ql) {
		super(name, type);
		this.col = col;
		this.ql = ql;
	}

	public Object clone(Object clone,
						Map obj2clone) throws CloneNotSupportedException {
		clone = super.clone(clone, obj2clone);
		((BasicRdbField) clone).col = col;
		((BasicRdbField) clone).ql = (QueryLeaf) getClone(ql, obj2clone);
		return clone;
	}

	public String getColumnName() {
		return col;
	}

	public QueryTree getQueryTree() {
		return ql;
	}
}
