/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 * 
 * Copyright (C) 2001-2002 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, A. Lefebvre
 */
import org.objectweb.medor.api.MedorException;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

/**
 * Copyright (C) 2001-2002 France T��om R&D
 * DTL/ASR
 * @author <A HREF="mailto:alia.mourad@rd.francetelecom.com><b>
 *         Mourad ALIA
 *         </b></A>
 */

/**
 * This class contains one function.It loads the JDBC driver and returns
 * a connection object.
 */
public class JDBCConnection {
    public Connection getConnection(String dbURL, String driver) throws MedorException {
        try {
            // Connecting to the JDBC DataSource and recupere the Connection Object
            System.out.print("Loading driver: " + driver + "...");
            Class.forName(driver).newInstance();
            System.out.println("success");
        } catch (Exception e) {
            System.out.println("failed. Error: " + e);
        }
        // Then we connect to a database using the database url and the driver loaded.
        System.out.println("Connecting to " + dbURL);
        try {
            return DriverManager.getConnection(dbURL);
        } catch (SQLException sqlexp) {
            throw new MedorException(sqlexp.getMessage());
        }
    }
}
