/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 *
 * Copyright (C) 2001-2002 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, A. Lefebvre
 */

package org.objectweb.medor.lib;

import junit.framework.TestCase;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.LoggerFactory;
import org.objectweb.util.monolog.wrapper.printwriter.LoggerImpl;

/*
 * @author S.Chassande-Barrioz
 */

public class TestMedorHelper extends TestCase {

	public static boolean isOn;
	public Logger logger;

	public TestMedorHelper(String n) {
		super(n);
		logger = getLoggerFactory("log.properties").getLogger(Log.MEDOR_PREFIX);
	}

	public TestMedorHelper(String testName, String loggerName) {
		super(testName);
		logger = getLoggerFactory().getLogger(loggerName);
	}

    public void changeLogger(String loggerName) {
        logger = getLoggerFactory().getLogger(loggerName);
    }

	public static LoggerFactory getLoggerFactory() {
		if (Log.loggerFactory == null
			|| Log.loggerFactory instanceof LoggerImpl) {
			getLoggerFactory("log.properties");
		}
		return Log.loggerFactory;
	}

	public static LoggerFactory getLoggerFactory(String fileName) {
		try {
			Log.loggerFactory = Log.loadLoggerFactory(fileName);
		}
		catch (Exception e) {
			try {
				Log.loggerFactory = Log.loadLoggerFactory((String) null);
			}
			catch (Exception e1) {
			}
		}
		return Log.loggerFactory;
	}
}
